Debian Bug report logs - #539562
RFH: gnat-4.8 -- help needed to execute test cases

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Ludovic Brenta <ludovic@ludovic-brenta.org>

Date: Thu, 10 Apr 2008 12:24:01 UTC

Severity: normal

Merged with 539633

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#475374; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Ludovic Brenta <ludovic@ludovic-brenta.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ludovic Brenta <ludovic@ludovic-brenta.org>
To: submit@bugs.debian.org
Subject: RFH: gnat-4.3: help needed to execute test cases
Date: Thu, 10 Apr 2008 14:22:51 +0200
Package: wnpp
Severity: normal

I need help from someone with at least a beginner's knowledge of Ada and GNAT.
Your mission, should you choose to accept it, is to:

- look at all bugs filed against gnat-4.1 and gnat-4.3 that
  * are not forwarded upstream
  * are not marked [Fixed in 4.2] or [Fixed in 4.3]
  * contain a test case

- Compile each test case with gnat-4.3

- If gnat-4.3 resolves the bug, close the bug in the BTS. Otherwise, add a
comment to the bug report stating that the bug is still present in 4.3.

If, in addition, you spend time studying the test cases, you will gain a deep
knowledge of Ada's fine points, not to mention my gratitude.

There are 80+ such test cases. Even if you only process a couple of them, this
is appreciated.

Thanks for any help.

PS. See also Bug#475369 which is related but does not require any knowledge of
Ada.

-- 
Ludovic Brenta.




Changed Bug title to `RFH: gnat-4.3 -- help needed to execute test cases' from `RFH: gnat-4.3: help needed to execute test cases'. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Thu, 10 Apr 2008 23:18:03 GMT) Full text and rfc822 format available.

Merged 475374 476270. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. (Sat, 19 Apr 2008 10:06:10 GMT) Full text and rfc822 format available.

Disconnected #475374 from all other report(s). Request was from Ludovic Brenta <ludovic@ludovic-brenta.org> to control@bugs.debian.org. (Mon, 21 Apr 2008 11:00:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#475374; Package wnpp. (Mon, 29 Dec 2008 20:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ludovic Brenta <ludovic@ludovic-brenta.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Mon, 29 Dec 2008 20:24:03 GMT) Full text and rfc822 format available.

Message #16 received at 475374@bugs.debian.org (full text, mbox):

From: Ludovic Brenta <ludovic@ludovic-brenta.org>
To: Jörgen Tegnér <jorgen.tegner@telia.com>
Cc: 475374@bugs.debian.org
Subject: gnat-4.3 bug triaging
Date: Mon, 29 Dec 2008 21:21:43 +0100
Hi Jörgen,

Thank you so much for your work on triaging the gnat-4.3 bugs.  I
really appreciate you help.  I hope you try to reproduce more bugs.
If so, may I suggest that you CC control@bugs.debian.org and begin
your emails with commands like:

found nnnnnn 4.3.2-2    (if the bug is found in 4.3.2-2)
fixed nnnnnn 4.3.2-2    (otherwise)
thanks

(obviously, replace nnnnnn with the bug number.)

The control@ address is a robot that processes the commands until the
word "thanks".  After that word, you can add your comments as in a
regular email.

This will tag the bugs, making the valuable information you provide
visible at a glance in the summary bug page.

For more information about the commands available via the control@
address, please see http://www.debian.org/Bugs/server-control.

Again, thanks a lot for your help.

I'm CCing the Request For Help bug so that the information is available
there as well.

-- 
Ludovic Brenta.




Bug 475374 cloned as bug 539562. Request was from Ludovic Brenta <ludovic@ludovic-brenta.org> to control@bugs.debian.org. (Sat, 01 Aug 2009 22:21:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFH: gnat-4.4 -- help needed to execute test cases' from 'RFH: gnat-4.3 -- help needed to execute test cases' Request was from Ludovic Brenta <ludovic@ludovic-brenta.org> to control@bugs.debian.org. (Sat, 01 Aug 2009 22:21:06 GMT) Full text and rfc822 format available.

Bug reassigned from package 'wnpp' to 'gnat-4.4'. Request was from Ludovic Brenta <ludovic@ludovic-brenta.org> to control@bugs.debian.org. (Sat, 01 Aug 2009 22:21:07 GMT) Full text and rfc822 format available.

Bug reassigned from package 'gnat-4.4' to 'wnpp'. Request was from Ludovic Brenta <ludovic@ludovic-brenta.org> to control@bugs.debian.org. (Sat, 01 Aug 2009 22:30:03 GMT) Full text and rfc822 format available.

Merged 539562 539633 Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Fri, 29 Nov 2013 10:24:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#539562; Package wnpp. (Sun, 02 Feb 2014 17:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ludovic Brenta <ludovic@ludovic-brenta.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 02 Feb 2014 17:03:05 GMT) Full text and rfc822 format available.

Message #31 received at 539562@bugs.debian.org (full text, mbox):

From: Ludovic Brenta <ludovic@ludovic-brenta.org>
To: control@bugs.debian.org, 539562@bugs.debian.org
Subject: RFH: gnat-4.8 -- help needed to execute test cases
Date: Sun, 02 Feb 2014 17:52:05 +0100
retitle 539562 RFH: gnat-4.8 -- help needed to execute test cases
thanks


I am updating the title of this bug to reflect the fact that we're now
working on gnat-4.8.  However, work on gnat-4.9 will start Real Soon
Now.

Help on running the tests is *always* welcome and even more welcome
would be someone with the time and energy to turn the remaining bug
reports into an automated test suite.

-- 
Ludovic Brenta.



Changed Bug title to 'RFH: gnat-4.8 -- help needed to execute test cases' from 'RFH: gnat-4.4 -- help needed to execute test cases' Request was from Ludovic Brenta <ludovic@ludovic-brenta.org> to control@bugs.debian.org. (Sun, 02 Feb 2014 17:03:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 14:18:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.